Bug 613599 - brightness keys not working on Asus UL50VT
brightness keys not working on Asus UL50VT
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
19
All Linux
low Severity medium
: ---
: ---
Assigned To: Matthew Garrett
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-07-12 07:42 EDT by Jonathan
Modified: 2013-04-08 10:45 EDT (History)
11 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-04-08 10:45:23 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
Patch for newer brightness keys (1.82 KB, patch)
2010-08-19 10:08 EDT, Roy
no flags Details | Diff
Proper patch for fixing backlight buttons (1.84 KB, patch)
2010-08-19 10:33 EDT, Roy
no flags Details | Diff

  None (edit)
Description Jonathan 2010-07-12 07:42:43 EDT
Description of problem:
brightness keys not working on Asus UL50VT, no on-screen-notification, and no brightness change when pressing the keys. All other hotkeys work fine.

Version-Release number of selected component (if applicable):
xorg-x11-server-Xorg.x86_64       1.8.2-1.fc13             @/                   
xorg-x11-server-common.x86_64     1.8.2-1.fc13             @/                   
xorg-x11-server-utils.x86_64      7.4-16.fc13              @released/$releasever


How reproducible:
always

Steps to Reproduce:
1. push brightness change up or down hotkey
2.
3.
  
Actual results:
no change and no response that the key press has been registered

Expected results:
brightness change and notification on screen

Additional info:
bios in compatibility mode, meaning it is only running on the nvidia G210m discrete graphics and should not be aware that it has an intel onboard graphics as well.
Comment 1 Roy 2010-08-18 20:47:02 EDT
Confirmed on my Asus UL50Vg, the brightness keys do not alter brightness. It used to work with Fedora 11, but not anymore. Brightness is probably not handled by Nouveau, as it doesn't work with Intel graphics anymore either (same notebook). Xev shows no response when pressing fn+f5 or fn+f6. I can alter brightness by writing a number to /proc/acpi/video/vga1/LCDD/brightness , but only as root. Even trying to write with sudo fails.

I would also like to take this oppertunity to note the fact that there is another function key not working. The key is supposed to toggle the touchpad on or off. Pressing it shows the following in xev:
KeyPress event, serial 35, synthetic NO, window 0x4800001,
    root 0x1d6, subw 0x0, time 3110158, (1022,31), root:(1025,97),
    state 0x10, keycode 191 (keysym 0x0, NoSymbol), same_screen YES,
    XLookupString gives 0 bytes: 
    XmbLookupString gives 0 bytes: 
    XFilterEvent returns: False

KeyRelease event, serial 35, synthetic NO, window 0x4800001,
    root 0x1d6, subw 0x0, time 3110158, (1022,31), root:(1025,97),
    state 0x10, keycode 191 (keysym 0x0, NoSymbol), same_screen YES,
    XLookupString gives 0 bytes: 
    XFilterEvent returns: False
It does hoewever not do anything.
Comment 2 Matěj Cepl 2010-08-18 22:42:10 EDT
(In reply to comment #1)
> I would also like to take this oppertunity to note the fact that there is
> another function key not working.

Please, file a separate bug against xkeyboard-config component 

* your X server config file (/etc/X11/xorg.conf, if available),
* X server log file (/var/log/Xorg.*.log)

Thanks in advance.
Comment 3 Matěj Cepl 2010-08-18 22:43:32 EDT
Actually, plase, attach these files here as well.

Thank you.
Comment 4 Jonathan 2010-08-19 06:07:47 EDT
Comment on the touchpad on / off key not working. This might be because the Elantech touchpad is misdetected as a mouse, not a touchpad.

This bug is filed as:
https://bugzilla.redhat.com/show_bug.cgi?id=549065
https://bugzilla.redhat.com/show_bug.cgi?id=556229
Comment 5 Roy 2010-08-19 07:45:11 EDT
I will give you something more interesting ;)

[roy@Torres drivers]$ acpi_listen 
hotkey ATKD 0000002e 00000003
hotkey ATKD 0000001f 00000004

This means that the keycode for newer Asus notebooks for KEY_BRIGHTNESSDOWN should be 0x2e, and for KEY_BRIGHTNESSUP it's 0x1f. I'd propose patching kernel/drivers/platform/x86/asus-laptop.c to reflect these (new?) keycodes. The 0x1f is currently mapped to KEY_BATTERY, and indeed when pressing the brightness up key, the powermanager pops up.
Comment 6 Roy 2010-08-19 08:17:09 EDT
Hah, did some testing around with asus-laptop.c. It's actually slightly more complicated. keycode & 0xf0 == 20 means the brightness is lowered, keycode & 0x0f == 10 means brightness is up. keycode & 0x0f states the desired brightness level, from 0 to 15. So with brightness maxed out these keycodes are correct. However with brightness set to minimum the right keycodes become 0x20 and 0x11.
Comment 7 Roy 2010-08-19 10:08:06 EDT
Created attachment 439692 [details]
Patch for newer brightness keys

This patch does the trick for me. It adds the new brightness keys as keycodes and test for Asus laptops with model ULxxV.
Comment 8 Roy 2010-08-19 10:33:48 EDT
Created attachment 439698 [details]
Proper patch for fixing backlight buttons

Bugger... C has been too long ago for me, and two wrongs made a works-for-me. _This_ patch fixes the strncmp
Comment 9 Josh Boyer 2011-08-02 09:44:30 EDT
(In reply to comment #8)
> Created attachment 439698 [details]
> Proper patch for fixing backlight buttons
> 
> Bugger... C has been too long ago for me, and two wrongs made a works-for-me.
> _This_ patch fixes the strncmp

Could you send this upstream?  It appears this still isn't fixed in the 3.x kernels.
Comment 10 Roy 2011-08-09 04:36:47 EDT
(In reply to comment #9)
> (In reply to comment #8)
> > Created attachment 439698 [details]
> > Proper patch for fixing backlight buttons
> > 
> > Bugger... C has been too long ago for me, and two wrongs made a works-for-me.
> > _This_ patch fixes the strncmp
> 
> Could you send this upstream?  It appears this still isn't fixed in the 3.x
> kernels.

The original author refused this patch to go upstream, mostly because of the way the laptop model is determined (with strncmp). Unfortunately, I don't have a better way. The best fix would be adding GPU switching support for the mainline kernel, as the brightness keys do work when the graphics mode is set to hybrid in the BIOS setup utility. This workaround however would be greatly appreciated, as switching support is far from ready afaik.
Comment 11 Vincent Beers 2011-10-23 12:33:23 EDT
On my Asus notebook (K93SV), the brightness keys are actually detected and I can see Gnome's brightness notification on Fedora 16 beta 2. However, the brightness does not change - either key will result in the notification panel showing up and displaying either of the two states shown in the attached screenshot.

Thus, the keyboard recognizing the keys properly may have been fixed (test in F16beta2 to verify?) but the hardware side still has problems.

I realize that this is a different notebook, but according to my experiences with bugs and semi-recent to recent Asus notebooks most bugs seem related to exactly the same things.
Comment 12 Roy 2011-10-23 16:24:30 EDT
I can pretty much ensure you that these problems are not related. The problem I am encountering is a bug in the BIOS of this notebook (series) that only occurs when "hybrid graphics" (not to be confused with Optimus) is turned off in the BIOS setup utility. This hybrid graphics I am talking about is no longer being deployed on Asus notebooks.
I will nonetheless give Fedora a spin as soon as it's out, but I'm not getting my hopes up unless someone brought this patch in for Fedora.
Comment 13 Josh Boyer 2012-06-04 11:12:08 EDT
Moving this to rawhide, as I still don't see anything upstream that would have fixed it.

Matthew, do you have any suggestions on how to proceed here?
Comment 14 Fedora End Of Life 2013-04-03 14:50:00 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 19 development cycle.
Changing version to '19'.

(As we did not run this process for some time, it could affect also pre-Fedora 19 development
cycle bugs. We are very sorry. It will help us with cleanup during Fedora 19 End Of Life. Thank you.)

More information and reason for this action is here:
https://fedoraproject.org/wiki/BugZappers/HouseKeeping/Fedora19
Comment 15 Justin M. Forbes 2013-04-05 12:29:08 EDT
Is this still a problem with 3.9 based F19 kernels?
Comment 16 Jonathan 2013-04-05 14:34:34 EDT
Don't know, I am running F18 with kernel 3.8.

I can however add the information that brightness keys are not working with hybrid graphics on (BIOS setting SATA = enhanced, no that is not intuitive) and bumblebee. Comment 12 as I understood it indicated that non-working brightness keys are related to running only dedicated graphics (BIOS setting SATA = compatibility).
Comment 17 Roy 2013-04-06 05:47:14 EDT
(In reply to comment #15)
> Is this still a problem with 3.9 based F19 kernels?

No, with my current setup (with a 3.9 kernel from nouveau GIT and hybrid graphics disabled) the brightness keys work! \o/

Note You need to log in before you can comment on or make changes to this bug.